html, body {
    margin: 0;
    background: linear-gradient(90deg, #000000, #4f406b);
    background-color: rgba(0, 0, 0, 0);
    scrollbar-width: none;
    -ms-overflow-style: none;
}

html::-webkit-scrollbar, body::-webkit-scrollbar {
  display: none; /* Chrome/Safari */
}

.site-header {
    height: 50px;
    margin: 10px;
    margin-bottom: 20px;
    font-size: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.container div {
    font-family: "Press Start 2P";
    color: white;
}

.container {  
  display: flex;
  flex-wrap: wrap;
}

.side {
    min-height: 100vh;

    position: relative;
    overflow: hidden;
    z-index: 1;
    min-width: 250px;
    max-width: 250px;
    flex: 10%;
    background-color: black;
    box-sizing: border-box;
    border: 2px solid #990066;
    box-shadow: 
        0 0 5px #fff,
        0 0 10px #ff66cc, 
        0 0 20px #ff66cc; 
}

.side::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(sidebar-wallpaper.gif);
    background-size: cover; 
    background-position: center; 
    background-repeat: no-repeat;
    filter: brightness(80%) blur(4px);
    opacity: 0.6; 
    z-index: -1;
}

.main {
    background-color: rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    border: 2px solid #ff66cc;
    border-radius: 15px;
    min-width: 250px;
    flex-grow: 1;
    margin-left: 10px;
    margin-right: 10px;
    box-shadow: 
        0 0 5px #fff, 
        0 0 10px #ff66cc, 
        0 0 20px #ff66cc; 
}

.sidebar-button {
  background-color: transparent;
  font-size: 15px;
  text-decoration: none;
  color: inherit;
  margin: 10px;
  margin-bottom: 10px;
  margin-top: 10px;
  padding: 15px;
  border: 2px solid transparent;
  border-radius: 15px;
  transition: background-color 0.3s ease, border 0.3s ease;
  display: inline-block;
  box-sizing: border-box;
  width: 100%;
  max-width: 220px;
  position: relative;
}

.sidebar-button a::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
}

.sidebar-button:hover {
    background-color: #000000;
    border: 2px solid white;
}

.sidebar-button.active {
    background-color: black;
    color:darkorange;
    border-color: #00d4ff;
    animation: border-glow 2s infinite alternate;
}

@keyframes border-glow {
  0% {
    border-color: #00d4ff;
    box-shadow: 0 0 5px #00d4ff;
  }
  100% {
    border-color: #ff00ff;
    box-shadow: 0 0 15px #ff00ff;
  }
}

footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: black;
  color: white;
  text-align: center;
  z-index: 1000;
}

@media screen and (max-width: 790px) {
  .container {   
    flex-direction: column;
  }
  .side {
    max-width: 100%;
    border-radius: 15px;
    margin-left: 10px;
    margin-right: 10px;
  }
  .main {
    margin: 1%;
  }
}

.box {
  padding: 10px;
  background-color: yellow;
  color: black;
  font-size: 14px;
  text-align: center;
  cursor: pointer;
  
  transition: transform 0.5s ease-in, opacity 0.4s ease-in, margin-top 0.5s ease-in;
}

.slide-out {
  transform: translateY(-100%); 
  opacity: 0;
  
  margin-top: -60px; 
  pointer-events: none;
}